<template>
  <div class="report">
    <img v-if="currentDay?.iconUrl" :src="getImage(currentDay.iconUrl)" alt="sun icon" class="icon"/>

    <div class="info">
      <h1>Barcelona, Spain</h1>
      <h2 v-if="currentDay?.highTemp">{{ currentDay.highTemp }}º</h2>
      <p v-if="currentDay?.humidity">Humidity: {{ currentDay.humidity }}%</p>
      <p v-if="currentDay?.uvi">UVI: {{ currentDay.uvi }}</p>
      <p v-if="currentDay?.wind">Wind: {{ currentDay.wind }}</p>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, PropType } from 'vue'

import { getImage } from '@/lib/utils/processAssets';

import { CurrentDay } from '../../interfaces/weather-report.interface';

export default defineComponent({
  name: 'CurrentDayReport',
  props: {
    type: Object,
    currentDay: {} as PropType<CurrentDay>,
  },
  methods: {
    getImage(path: string): string {
      return getImage(path);
    },
  },
})
</script>

<style lang="scss" scoped>
.icon {
  margin-right: 25px;
  margin-left: 13px;
  width: 117px;
  filter: invert(100%) sepia(0%) saturate(2%) hue-rotate(96deg) brightness(107%) contrast(101%);

  @media only screen and (max-width: 550px) {
    margin-right: 20px;
    margin-left: 0;
    width: 93px;
  }
}

.report {
  align-items: flex-start;
  display: flex;
  flex-direction: row;
}

.info {
  flex-direction: column;
  display: flex;
  align-items: flex-start
}

h1, h2, p {
  text-align: left;
}
</style>
